# Build instructions for Binary Diffing
Use normal build for your own usage. The tools here are used to copy how Intel/Silicom compiles their released versions.

## Requirements
* Docker
* patience (specific GCC build will take a while)

## Usage
* `$ ./do-build-as-silicom.sh [commit]`
  * Creates CentOS 6.10 container with GCC 4.4.2-7 on it, and builds IES from commit (default _origin/master_). Re-run to build new changes.
  * Alternatively you can build via GCC 4.4.4-10, but it has slight differences. Do this via `$ GCC_VERSION=4.4.4-10.el6 ./do-build-as-silicom.sh`
* `$ ./do-binary-diff.sh`
  * Creates elf_diff container, and diffs produced build on first step. Grabs known Silicom _.so_
* Outputs for both steps exist under `./output` folder.