#!/bin/bash

set -e

SCRIPT_DIR=$(cd -P -- "$(dirname -- "${BASH_SOURCE[0]}")" && pwd -P)

pushd "${SCRIPT_DIR}"

if [[ "${GCC_VERSION}" == "" ]]; then
  GCC_VERSION=4.4.2-7.fc12
fi

docker build --build-arg GCC_VERSION="${GCC_VERSION}" --tag=silicom-centos-builder docker/silicom-centos-builder

docker run --rm -v "$(pwd)/..":/home/mockbuild/src -v "$(pwd)/output":/home/mockbuild/dst silicom-centos-builder "${1}"