#!/bin/bash

set -e

SCRIPT_DIR=$(cd -P -- "$(dirname -- "${BASH_SOURCE[0]}")" && pwd -P)

pushd "${SCRIPT_DIR}"

docker build --tag=binary-diff docker/binary-diff

docker run --rm -v "$(pwd)/output":/home/user/output binary-diff \
"https://git.gammaspectra.live/Sillycom/rdif/raw/commit/ecabff31a76c6ed966e5ede2f070d81b05324881/driver/64/libFocalpointSDK.so" \
"https://git.gammaspectra.live/Sillycom/rdif/raw/commit/ecabff31a76c6ed966e5ede2f070d81b05324881/driver/64/libLTStdPlatform.so"
