#!/bin/bash

set -e

git clone http://git.gammaspectra.live/Sillycom/IES.git working_src

pushd working_src

if [[ "${1}" != "" ]]; then
 git reset --hard "${1}"
fi

./autogen.sh

CFLAGS="-march=x86-64" CPPFLAGS="-DPLATFORM_NUM_FOCALPOINTS=6" ./configure --enable-shared --disable-static

make -j$(nproc)

if [[ -d "/home/mockbuild/dst/current-build" ]]; then
  rm -R /home/mockbuild/dst/current-build
fi

mkdir /home/mockbuild/dst/current-build

cp src/.libs/libFocalpointSDK.so /home/mockbuild/dst/current-build/
cp src/.libs/libLTStdPlatform.so /home/mockbuild/dst/current-build/